# Constant Field Values

## Contents

- org.apache.*

## org.apache.*

- org.apache.lucene.queryparser.classic.QueryParser
  Modifier and Type
  Constant Field
  Value
  `public static final boolean`
  `DEFAULT_SPLIT_ON_WHITESPACE`
  `false`
- org.apache.lucene.queryparser.classic.QueryParserConstants
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `_ESCAPED_CHAR`
  `2`
  `public static final int`
  `_NUM_CHAR`
  `1`
  `public static final int`
  `_QUOTED_CHAR`
  `6`
  `public static final int`
  `_TERM_CHAR`
  `4`
  `public static final int`
  `_TERM_START_CHAR`
  `3`
  `public static final int`
  `_WHITESPACE`
  `5`
  `public static final int`
  `AND`
  `8`
  `public static final int`
  `BAREOPER`
  `13`
  `public static final int`
  `Boost`
  `0`
  `public static final int`
  `CARAT`
  `18`
  `public static final int`
  `COLON`
  `16`
  `public static final int`
  `DEFAULT`
  `2`
  `public static final int`
  `EOF`
  `0`
  `public static final int`
  `FUZZY_SLOP`
  `21`
  `public static final int`
  `LPAREN`
  `14`
  `public static final int`
  `MINUS`
  `12`
  `public static final int`
  `NOT`
  `10`
  `public static final int`
  `NUMBER`
  `27`
  `public static final int`
  `OR`
  `9`
  `public static final int`
  `PLUS`
  `11`
  `public static final int`
  `PREFIXTERM`
  `22`
  `public static final int`
  `QUOTED`
  `19`
  `public static final int`
  `Range`
  `1`
  `public static final int`
  `RANGE_GOOP`
  `32`
  `public static final int`
  `RANGE_QUOTED`
  `31`
  `public static final int`
  `RANGE_TO`
  `28`
  `public static final int`
  `RANGEEX_END`
  `30`
  `public static final int`
  `RANGEEX_START`
  `26`
  `public static final int`
  `RANGEIN_END`
  `29`
  `public static final int`
  `RANGEIN_START`
  `25`
  `public static final int`
  `REGEXPTERM`
  `24`
  `public static final int`
  `RPAREN`
  `15`
  `public static final int`
  `STAR`
  `17`
  `public static final int`
  `TERM`
  `20`
  `public static final int`
  `WILDTERM`
  `23`
- org.apache.lucene.queryparser.classic.TokenMgrError
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `INVALID_LEXICAL_STATE`
  `2`
  `public static final int`
  `LEXICAL_ERROR`
  `0`
  `public static final int`
  `LOOP_DETECTED`
  `3`
  `public static final int`
  `STATIC_LEXER_ERROR`
  `1`

- org.apache.lucene.queryparser.ext.Extensions
  Modifier and Type
  Constant Field
  Value
  `public static final char`
  `DEFAULT_EXTENSION_FIELD_DELIMITER`
  `':'`

- org.apache.lucene.queryparser.flexible.core.nodes.QueryNodeImpl
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `PLAINTEXT_FIELD_NAME`
  `"_plain"`

- org.apache.lucene.queryparser.flexible.standard.parser.StandardSyntaxParserConstants
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `_ESCAPED_CHAR`
  `2`
  `public static final int`
  `_NUM_CHAR`
  `1`
  `public static final int`
  `_QUOTED_CHAR`
  `6`
  `public static final int`
  `_TERM_CHAR`
  `4`
  `public static final int`
  `_TERM_START_CHAR`
  `3`
  `public static final int`
  `_WHITESPACE`
  `5`
  `public static final int`
  `AFTER`
  `31`
  `public static final int`
  `AND`
  `8`
  `public static final int`
  `ATLEAST`
  `30`
  `public static final int`
  `BEFORE`
  `32`
  `public static final int`
  `CARAT`
  `21`
  `public static final int`
  `CONTAINED_BY`
  `33`
  `public static final int`
  `CONTAINING`
  `34`
  `public static final int`
  `DEFAULT`
  `2`
  `public static final int`
  `EOF`
  `0`
  `public static final int`
  `EXTEND`
  `35`
  `public static final int`
  `FN_OR`
  `36`
  `public static final int`
  `FN_PREFIX`
  `11`
  `public static final int`
  `Function`
  `0`
  `public static final int`
  `FUZZYTERM`
  `37`
  `public static final int`
  `LPAREN`
  `29`
  `public static final int`
  `MAXGAPS`
  `38`
  `public static final int`
  `MAXWIDTH`
  `39`
  `public static final int`
  `MINUS`
  `13`
  `public static final int`
  `NON_OVERLAPPING`
  `40`
  `public static final int`
  `NOT`
  `10`
  `public static final int`
  `NOT_CONTAINED_BY`
  `41`
  `public static final int`
  `NOT_CONTAINING`
  `42`
  `public static final int`
  `NOT_WITHIN`
  `43`
  `public static final int`
  `NUMBER`
  `24`
  `public static final int`
  `OP_COLON`
  `15`
  `public static final int`
  `OP_EQUAL`
  `16`
  `public static final int`
  `OP_LESSTHAN`
  `17`
  `public static final int`
  `OP_LESSTHANEQ`
  `18`
  `public static final int`
  `OP_MORETHAN`
  `19`
  `public static final int`
  `OP_MORETHANEQ`
  `20`
  `public static final int`
  `OR`
  `9`
  `public static final int`
  `ORDERED`
  `44`
  `public static final int`
  `OVERLAPPING`
  `45`
  `public static final int`
  `PHRASE`
  `46`
  `public static final int`
  `PLUS`
  `12`
  `public static final int`
  `QUOTED`
  `23`
  `public static final int`
  `Range`
  `1`
  `public static final int`
  `RANGE_GOOP`
  `55`
  `public static final int`
  `RANGE_QUOTED`
  `54`
  `public static final int`
  `RANGE_TO`
  `51`
  `public static final int`
  `RANGEEX_END`
  `53`
  `public static final int`
  `RANGEEX_START`
  `28`
  `public static final int`
  `RANGEIN_END`
  `52`
  `public static final int`
  `RANGEIN_START`
  `27`
  `public static final int`
  `REGEXPTERM`
  `26`
  `public static final int`
  `RPAREN`
  `14`
  `public static final int`
  `TERM`
  `25`
  `public static final int`
  `TILDE`
  `22`
  `public static final int`
  `UNORDERED`
  `47`
  `public static final int`
  `UNORDERED_NO_OVERLAPS`
  `48`
  `public static final int`
  `WILDCARD`
  `49`
  `public static final int`
  `WITHIN`
  `50`
- org.apache.lucene.queryparser.flexible.standard.parser.TokenMgrError
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `INVALID_LEXICAL_STATE`
  `2`
  `public static final int`
  `LEXICAL_ERROR`
  `0`
  `public static final int`
  `LOOP_DETECTED`
  `3`
  `public static final int`
  `STATIC_LEXER_ERROR`
  `1`

- org.apache.lucene.queryparser.flexible.standard.processors.MultiTermRewriteMethodProcessor
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `TAG_ID`
  `"MultiTermRewriteMethodConfiguration"`
- org.apache.lucene.queryparser.flexible.standard.processors.OpenRangeQueryNodeProcessor
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `OPEN_RANGE_TOKEN`
  `"*"`

- org.apache.lucene.queryparser.simple.SimpleQueryParser
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `AND_OPERATOR`
  `1`
  `public static final int`
  `ESCAPE_OPERATOR`
  `64`
  `public static final int`
  `FUZZY_OPERATOR`
  `256`
  `public static final int`
  `NEAR_OPERATOR`
  `512`
  `public static final int`
  `NOT_OPERATOR`
  `2`
  `public static final int`
  `OR_OPERATOR`
  `4`
  `public static final int`
  `PHRASE_OPERATOR`
  `16`
  `public static final int`
  `PRECEDENCE_OPERATORS`
  `32`
  `public static final int`
  `PREFIX_OPERATOR`
  `8`
  `public static final int`
  `WHITESPACE_OPERATOR`
  `128`

- org.apache.lucene.queryparser.surround.parser.QueryParserConstants
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `_DISTOP_NUM`
  `6`
  `public static final int`
  `_NUM_CHAR`
  `1`
  `public static final int`
  `_ONE_CHAR`
  `5`
  `public static final int`
  `_STAR`
  `4`
  `public static final int`
  `_TERM_CHAR`
  `2`
  `public static final int`
  `_WHITESPACE`
  `3`
  `public static final int`
  `AND`
  `9`
  `public static final int`
  `Boost`
  `0`
  `public static final int`
  `CARAT`
  `17`
  `public static final int`
  `COLON`
  `16`
  `public static final int`
  `COMMA`
  `15`
  `public static final int`
  `DEFAULT`
  `1`
  `public static final int`
  `EOF`
  `0`
  `public static final int`
  `LPAREN`
  `13`
  `public static final int`
  `N`
  `12`
  `public static final int`
  `NOT`
  `10`
  `public static final int`
  `NUMBER`
  `23`
  `public static final int`
  `OR`
  `8`
  `public static final int`
  `QUOTED`
  `19`
  `public static final int`
  `RPAREN`
  `14`
  `public static final int`
  `SUFFIXTERM`
  `20`
  `public static final int`
  `TERM`
  `22`
  `public static final int`
  `TRUNCQUOTED`
  `18`
  `public static final int`
  `TRUNCTERM`
  `21`
  `public static final int`
  `W`
  `11`
- org.apache.lucene.queryparser.surround.parser.TokenMgrError
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `INVALID_LEXICAL_STATE`
  `2`
  `public static final int`
  `LEXICAL_ERROR`
  `0`
  `public static final int`
  `LOOP_DETECTED`
  `3`
  `public static final int`
  `STATIC_LEXER_ERROR`
  `1`